mav_callbackDeleteSet(3)

NAME
mav_callbackDeleteSet - Set object delete callback.

LEVEL
Maverik Level 2

SYNTAX
void mav_callbackDeleteSet(MAV_window *w, MAV_class *c, MAV_callbackDeleteFn fn);

ARGUMENTS
Window. Object class. Callback function to be called on object deletion.

DESCRIPTION
This function sets the "delete" callback function for a given class c of object in window w to fn. The callback will be called on deletion of an object of the given class. The callback function has the opportunity to free any memory associated with the object's data.

SEE ALSO
@mav_callbackDeleteExec.